@keyframes fadeIn {
  from{
    opacity: 0;
    background-size: 48px;
  }

  to{
    opacity: 1;
    background-size: 72px;
  }
}

@keyframes fadeInError {
  from{
    max-height: 0;
  }
  to{
    max-height: 96px;
  }
}

.main {
  background-image: url('/images/pages/auth/sideImg.jpg');
  background-repeat: no-repeat;
  background-position: bottom;
  background-size: cover;

  width: 100vw;
  min-height: 100vh;

  display: flex;
  justify-content: flex-end;
  align-items: stretch;

  padding: 8px;
  gap: 32px;
}

.authCard{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  padding: 32px 36px;
  background: #fff;
  border-radius: 16px;
  width: 420px;
  max-width: 100%;
  position: relative;

  &__loader{
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    backdrop-filter: blur(6px);
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 16px;

    background: url('/images/icons/loading.svg'), #ffffff90;
    background-repeat: no-repeat;
    background-size: 64px;
    background-position: center;
    background-blend-mode: normal;
    
    animation: fadeIn 1s ease forwards;
  }
  
  &__content{
    width: 100%;
    position: relative;
  }

  &__title {
    font-size: 32px;
    letter-spacing: 0.25px;
    line-height: 120%;
    margin: 0 0 4px;
    padding: 0;
    color: #111;
  }

  &__subtitle {
    color: #a7a7a7;
    letter-spacing: 0.12px;
    font-size: 16px;
    margin: 0;
    padding: 0;
  }

  &__brand {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 600;
    font-size: 64px;
    line-height: 75px;

    background: linear-gradient(180deg, #2E78E8 0%, #5A97F3 100%);

    background-clip: text;
    -webkit-text-fill-color: transparent;
  }

  &__copy {
    font-size: 15px;
    line-height: 18px;
    letter-spacing: 0.2px;
    color: #A7A7A7;

    a {
      font-weight: 500;
      color: #2E78E8;
      cursor: pointer;
    }
  }

  &__contentInner {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: fit-content;
    margin: 0 auto;
  }

  hr {
    margin: 16px 0;
  }
}

.error{
  &__wrapper{
    overflow: hidden;
    animation: fadeInError 0.4s ease forwards;
  }

  --color: #d10b0b;
  display: block;
  align-items: center;
  gap: 12px;
  background: transparent;
  border-radius: 8px;
  border: 1px solid var(--color);
  color: var(--color);
  width: 100%;
  height: auto;
  padding: 8px 12px;
  margin-bottom: 16px;
  font-size: 14px;
  overflow: hidden;

  &::before{
    content: "!";
    display: inline-block;
    margin-right: 12px;
    text-align: center;
    font-size: 12px;
    font-weight: 600;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border: 1px solid #d10b0b;
  }
}

.authForm{
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 8px;

  button{
    margin-top: 12px;
  }

  &__changeAction {
    white-space: pre-wrap;
    position: absolute;
    margin-top: 16px;
    color: #868686;
    text-align: center;
    width: 100%;

    a {
      color: #2E78E8;
    }
  }
}

@media screen and (min-width: 768px) {
  .aside {
    width: 35vw;
    max-width: 400px;
    min-width: 300px;
  }
}

@media screen and (min-width: 1280px) {
  .aside {
    width: 50%;
    max-width: none;
    min-width: 0;
  }
}